SMSQ(8)

NAME
smsq - helper to send SMS messages

SYNOPSIS
smsq <oa/da> <message>

DESCRIPTION
smsq is a simple helper application designed to make it easy to send messages from a command line. it is intended to run on the Asterisk box and have direct access to the queue directories for SMS and for Asterisk.

OPTIONS

-q, --queue=number[-X]
    Queue [inc sub address] (default: "")

-d, --da=number
    Destination address

-o, --oa=number
    Origination address

-m, --ud=text
    Message

-f, --ud-file=filename
    Message file

--UTF-8
    File treated as null terminated UTF-8 (default)

--UCS-1
    File treated as UCS-1

--UCS-2
    File treated as UCS-2

-t, --mt
    Mobile Terminated

--mo
    Mobile Originated

--tx
    Send message

-r, --rx
    Queue for receipt

-e, --process=command
    Rx queue process command

-x, --no-dial
    Do not dial

--no-wait
    Do not wait if already calling

--concurrent=n
    Number of concurrent calls to allow (default: 1)

--motx-channel=channel
    Channel for motx calls (default: "Local/1709400X")

--motx-callerid=number
    Caller ID for motx calls (default is queue name without sub address)

--motx-wait=seconds
    Time to wait for motx call to answer (default: 10)

--motx-delay=seconds
    Time between motx call retries (default: 1)

--motx-retries=n
    Number of retries for motx call (default: 10)

--mttx-channel=channel
    Channel for mttx calls (default is Local/ and queue name without sub address)

--mttx-callerid=number
    Caller ID for mttx calls (default is queue name without sub address) (default: "080058752X0")

--mttx-wait=seconds
    Time to wait for mttx call to answer (default: 10)

--mttx-delay=seconds
    Time between mttx call retries (default: 30)

--mttx-retries=n
    Number of retries for mttx call (default: 100)

-n, --mr=n
    Message reference

-p, --pid=n
    Protocol ID

-c, --dcs=n
    Data Coding Scheme

--udh=hex
    User data header

--srr
    Status Report Request

--rp
    Return Path request

--v=seconds
    Validity Period

--scts=YYYY-MM-SSTHH:MM:SS
    Timestamp

--default-sub-address=X
    Default sub address (default: "9")

--spool-dir=dirname
    Asterisk spool dir (default: "/var/spool/asterisk")

  Help options:

-?, --help
    Show this help message

--usage
    Display brief usage message

SEE ALSO
asterisk(8)

AUTHOR
This manual page was written by Jeremy Lainé <jeremy.laine@m4x.org>.